<?php

ini_set("display_errors", false);

require_once("libs/FindMe.inc.php");
require_once("libs/nusoap/lib/nusoap.php");

// Create the client instance
$client = new soapclientNusoap('http://www.noisedrome.com/findme/server_nu.php', true);
// Check for an error
$err = $client->getError();
if ($err) {
    // Display the error
    echo '<h2>Constructorsss error</h2><pre>' . $err . '</pre>';
    // At this point, you know the call that follows will fail
}





// Call the SOAP method
//$result = $client->call('signUp', array('name' => 'txu.sko@gmail.com', "password" => sha1("entra")));
//$idSession = "555865e0627ea02ec70f90beeac01f89";
$result = $client->call('login', array('name' => 'txusko@gmail.com', "password" => sha1("entra")));
//$result = $client->call('getUserInfo', array("session_id" => $idSession));
//$result = $client->call('updateUser', array("session_id" => $idSession, "name" => "YO", "profile" => "1"));
//$result = $client->call('updateLocation', array("session_id" => $idSession, "longitud" => "42626505", "latitud" => "0890643"));
//$result = $client->call('searchByName', array("session_id" => $idSession, "name" => "i"));
//$result = $client->call('addFriend', array("session_id" => $idSession, "idUser" => "6"));
//$result = $client->call('getFriends', array("session_id" => $idSession));








// Check for a fault
if ($client->fault) {
    echo '<h2>Fault</h2><pre>';
    print_r($result);
    echo '</pre>';
} else {
    // Check for errors
    $err = $client->getError();
    if ($err) {
        // Display the error
        echo '<h2>Error</h2><pre>' . $err . '</pre>';
    } else {
        // Display the result
        echo '<h2>Result</h2><pre>';
        print_r($result);
    echo '</pre>';
    }
}
// Display the request and response
echo '<h2>Request</h2>';
echo '<pre>' . htmlspecialchars($client->request, ENT_QUOTES) . '</pre>';
echo '<h2>Response</h2>';
echo '<pre>' . htmlspecialchars($client->response, ENT_QUOTES) . '</pre>';
// Display the debug messages
echo '<h2>Debug</h2>';
echo '<pre>' . htmlspecialchars($client->debug_str, ENT_QUOTES) . '</pre>';
?>