<?php

/**
* Clase FindMeServer, s'encarrega de definir i arrancar el servidor SOAP
*
* @author	Javi Filella <txusko@gmail.com>
* @date		2011-04
*/
class FindMeServer extends SoapServer {

	/**
	* Constructor de la clase
	*/
	function __construct($wsdl=null, $options = array()) {
		parent::__construct($wsdl, $options);
	}
	
	/**
	* Funció que defineis els parametres e inicia el servidor
	*/
	function main() {
		try {
			//Cridem la clase que ho remena tot
			$this->setClass("FindMe");
			//Definim uns parametres adicionsls del servidor
		    $this->setPersistence(SOAP_PERSISTENCE_SESSION);
    		//$this->addFunction(SOAP_FUNCTIONS_ALL);
    		//L'arranque
	    	$this->handle();

		} catch (Exception $e) {
			//S'ha produit un error
    		printf("Message = %s\n",$e->__toString());
		}
	}

}



?>